<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <VersionPrefix>1.0.0.0</VersionPrefix>
    <TargetFramework>netcoreapp3.1</TargetFramework>
    <AssetTargetFallback>$(AssetTargetFallback);portable-net45+win8+wp8+wpa81;</AssetTargetFallback>
    <AssemblyName>YGNT.Exam.Application</AssemblyName>
    <PackageId>YGNT.Exam.Application</PackageId>
    <GenerateAssemblyConfigurationAttribute>false</GenerateAssemblyConfigurationAttribute>
    <GenerateAssemblyCompanyAttribute>false</GenerateAssemblyCompanyAttribute>
    <GenerateAssemblyProductAttribute>false</GenerateAssemblyProductAttribute>
    <RootNamespace>YGNT.Exam</RootNamespace>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <DocumentationFile>YGNT.Exam.Application.xml</DocumentationFile>
    <NoWarn>1701;1702;1591</NoWarn>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <DocumentationFile>YGNT.Exam.Application.xml</DocumentationFile>
    <NoWarn>1701;1702;1591</NoWarn>
  </PropertyGroup>
  <ItemGroup>
    <Compile Remove="Extension\**" />
    <EmbeddedResource Remove="Extension\**" />
    <None Remove="Extension\**" />
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="Mapster" Version="7.0.1" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\YGNT.Exam.Core\YGNT.Exam.Core.csproj" />
    <ProjectReference Include="..\YGNT.QuestionLibrary\YGNT.QuestionLibrary.Core\YGNT.QuestionLibrary.Core.csproj" />
  </ItemGroup>
</Project>